curl PHP JavaScript Python Copier
curl -X POST 'https://foodsoul.ru/api/crm/v2/feedback.update' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: fr' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":1,"status":"positive","text":"everything was great","answer":"ok"}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.ru/api/crm/v2/feedback.update' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'fr' ,
'role' => 'partner' ,
],
'json' => [
'id' => 1 ,
'status' => 'positive' ,
'text' => 'everything was great' ,
'answer' => 'ok' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/feedback.update" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "fr" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"id" : 1 ,
"status" : "positive" ,
"text" : "everything was great" ,
"answer" : "ok"
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.ru/api/crm/v2/feedback.update" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "fr" ,
"role" : "partner" ,
},
json ={
"id" : 1 ,
"status" : "positive" ,
"text" : "everything was great" ,
"answer" : "ok" ,
},
)
data = response . json () Réponse 200
{
"status" : "success" ,
"data" : {}
} Les requêtes sont envoyées à foodsoul.ru — l’hôte de ce portail, il n’est pas possible d’en choisir un autre.